Bug 600365 - Group config update failed, getting current state is stuck
Summary: Group config update failed, getting current state is stuck
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Configuration
Version: 3.0.0
Hardware: All
OS: All
urgent
medium vote
Target Milestone: ---
: ---
Assignee: John Sanda
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon-sprint10-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-04 14:56 UTC by Heiko W. Rupp
Modified: 2010-08-12 16:47 UTC (History)
3 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:47:58 UTC


Attachments (Terms of Use)
Screenshot of the update history UI (54.10 KB, image/png)
2010-06-04 16:25 UTC, Heiko W. Rupp
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 598951 None None None Never

Internal Links: 600543

Description Heiko W. Rupp 2010-06-04 14:56:45 UTC
I have two EAP 5.0.1 in inventory on OS X and RHEL 5.5
I have a group 'EAP5' containing the two servers.

The OS X one has no javaHome property set , the RHEL one has it set.

Now I went to the group inventory -> connection, which correctly shows different values for javaHome.

I edited the connection properties to set javaHome for the EAP on OS X (and seem to have missed that this failed / never succeeded ).

I tried to restart operation on the group , which failed, as the OS X Eap did not have javaHome set (see other BZ).

I went back to the group config properties which are now stuck at a yellow box saying

"Configuration update is currently in progress. Please wait a few moments and refresh the page."

I manually set javaHome on the OSX EAP, but this does not change anyhting. Also agent restart does not change anything.

Comment 1 Charles Crouch 2010-06-04 15:21:13 UTC
I was wondering if this maybe related to https://bugzilla.redhat.com/show_bug.cgi?id=586943, but no evidence so far

Comment 2 Heiko W. Rupp 2010-06-04 16:25:41 UTC
Created attachment 421284 [details]
Screenshot of the update history UI

Comment 3 Heiko W. Rupp 2010-06-04 16:26:35 UTC
This happens on pure RHEL install (2* EAP on RHEL, agent, server) with sun jdk16 
+ PG 8.4 as well.

Comment 4 John Sanda 2010-06-04 21:41:24 UTC
While this is a completely different execution path, the defect does in fact appear to be related to bug 586943 in that they have the same root cause.

Comment 5 Jay Shaughnessy 2010-06-04 21:42:46 UTC
There are two problems here.  The first is the fact that the group plugin config failed. This looks like general issue with group plugibn config. Probably the same problem as seen in https://bugzilla.redhat.com/show_bug.cgi?id=586943, but applied to group plugin config as opposed to group resource config.  

This BZ will track this problem.

The second problem will be moved to a new BZ (I'll create after this). It deals with the fact that a completed (FAILED) group config update should never leave behind IN PROGRESS member updates.  This IN_PROGRESS state can mess up other stuff, like leaving the yellow box...

Comment 6 John Sanda 2010-06-04 22:14:50 UTC
Similar to bug 586943, I updated the config update operation to create a deep copy of the configuration object which strips it of any hibernate proxies, thus avoiding the hibernate exception. Moving to ON_QA.

commit hash: df3bb699e9bbfbe4c9bd05de1e9340d7a9e20134

Comment 7 Corey Welton 2010-06-09 15:28:43 UTC
QA Verified against a group plugin config changes (versus group resource config).  This no longer seems to be an issue.

Comment 8 Jay Shaughnessy 2010-06-25 14:25:56 UTC
FYI - the "new BZ" mentioned above is 600543

Comment 9 Corey Welton 2010-08-12 16:47:58 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.